.TH LS "1" "February 2024" "Swift-tools" "User Commands"
.SH NAME
st-compare-rings \- a Swift-tools command
.SH SYNOPSIS
.B st-status
.I [OPTION]...

.SH DESCRIPTION
.LP
.I st-compare-rings
Compare 2 rings for validate a new ring.
If a partitions is moved more that 2 times The new ring is not validate
Display reparttion of partitions IN and OUT Devices grouped by swifstore

.LP
.B [-n|--nb_test]
.IP
Number of partitions to test

.LP
.B [-j|--json]
.IP
Display a json formatted result

.LP
.B [-p|--pattern]
.IP
Regex pattern to extract an index from a swiftstore name

.LP
.B [Ring1]
.IP
Positional: New ring to compare

.LP
.B [Ring2]
.IP
Positional: Old ring to compare


.SH LICENSE
This is released under the Apache-2.0 license.

.SH AUTHORS
Philippe SERAPHIN <philippe.seraphin at infomaniak dot com>
.br
Thomas GOIRAND <zigo at debian dot org>

.SH "REPORTING BUGS"
<https://salsa.debian.org/openstack-team/third-party/swift-tools>

.SH "SEE ALSO"
\fBswift\fP(1)

